> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve order receipt

> Retrieves a printable receipt for a specific order using the order number. This endpoint returns either structured JSON data or a formatted PDF, suitable for customer presentation. Response format (JSON or PDF) is determined by an optional query parameter (e.g. format=pdf or format=json).



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json get /orders/{order_number}/receipt
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /orders/{order_number}/receipt:
    parameters:
      - name: order_number
        in: path
        description: order number
        required: true
        schema:
          type: string
    get:
      tags:
        - Orders
      summary: Retrieve order receipt
      description: >-
        Retrieves a printable receipt for a specific order using the order
        number. This endpoint returns either structured JSON data or a formatted
        PDF, suitable for customer presentation. Response format (JSON or PDF)
        is determined by an optional query parameter (e.g. format=pdf or
        format=json).
      operationId: get-order-receipt
      parameters:
        - name: format
          in: query
          description: Response data format
          schema:
            type: string
            default: json
            enum:
              - json
              - pdf
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      order_receipt:
                        $ref: '#/components/schemas/OrderReceiptJsonFormat'
                    type: object
            application/pdf:
              schema:
                type: object
components:
  schemas:
    OrderReceiptJsonFormat:
      title: OrderReceiptJsonFormat
      allOf:
        - $ref: '#/components/schemas/Order'
        - type: object
          properties:
            billing_address:
              $ref: '#/components/schemas/CustomerAddress'
            shipping_address:
              $ref: '#/components/schemas/CustomerAddress'
            order_items:
              type: array
              items:
                $ref: '#/components/schemas/OrderItem'
            payments:
              type: array
              items:
                $ref: '#/components/schemas/OrderPayment'
    Order:
      title: Order
      type: object
      properties:
        order_number:
          type: string
        order_date:
          type: string
          format: date-time
        status:
          $ref: '#/components/schemas/OrderStatus'
        payment_status:
          $ref: '#/components/schemas/PaymentStatus'
        payment_success_date:
          type: string
          format: date-time
        customer_id:
          type: string
        customer_email:
          type:
            - string
            - 'null'
        customer_phone:
          type:
            - string
            - 'null'
        customer_note:
          type:
            - string
            - 'null'
        is_promotion_applied:
          type: boolean
        promotion_discount_amount:
          type:
            - integer
            - 'null'
        is_coupon_applied:
          type: boolean
        coupon_code:
          type:
            - string
            - 'null'
        coupon_discount_amount:
          type:
            - number
            - 'null'
          format: double
        on_subscription:
          type: boolean
        subtotal:
          type: number
          format: double
        item_total_tax:
          type: number
          format: double
        subtotal_including_tax:
          type: number
          format: double
        shipping_amount:
          type: number
          format: double
        shipping_total_tax:
          type: number
          format: double
        shipping_amount_including_tax:
          type: number
          format: double
        total_tax:
          type: number
          format: double
        grand_total:
          type: number
          format: double
        loyalty_point_redeemed:
          type: integer
        credit_balance_used:
          type: integer
        to_be_paid:
          type: number
          format: double
        loyalty_point_earned:
          type: integer
        order_items_count:
          type: integer
        currency:
          type: object
          properties:
            name:
              type: string
            code:
              type: string
            symbol:
              type: string
        created_at:
          type: string
          format: date-time
        modified_at:
          type: string
          format: date-time
      x-tags:
        - Orders
    CustomerAddress:
      title: CustomerAddress
      type: object
      required:
        - first_name
        - phone
        - email
        - address_line1
        - pincode
        - city
        - state
        - country
      properties:
        id:
          type: string
          readOnly: true
        first_name:
          type: string
        last_name:
          type:
            - string
            - 'null'
        country_code:
          description: "Two-letter code begin with a plus sign prefix that identifies different countries. By default it will be +91 if not provided.\r\n"
          type: string
        phone:
          description: 10 digit phone number without country code.
          type: string
        email:
          type:
            - string
            - 'null'
        address_line1:
          type: string
        address_line2:
          type:
            - string
            - 'null'
        landmark:
          type:
            - string
            - 'null'
        pincode:
          type: string
        city:
          type: string
        state:
          type: string
        country:
          enum:
            - India
        gstin:
          description: Use in shipping details only for third party.
          type:
            - string
            - 'null'
        business_name:
          description: Use in shipping details only for third party.
          type:
            - string
            - 'null'
        is_phone_verified:
          type: boolean
          readOnly: true
        is_email_verified:
          type: boolean
          readOnly: true
        is_default_shipping:
          type: boolean
        is_default_billing:
          type: boolean
      examples: []
      x-tags:
        - Customers
    OrderItem:
      title: OrderItem
      type: object
      required:
        - sku
        - quantity
      properties:
        product_id:
          type: string
          readOnly: true
        product_name:
          type: string
          readOnly: true
        product_image_url:
          type:
            - string
            - 'null'
          readOnly: true
        sku:
          type: string
        on_offer:
          type: boolean
          readOnly: true
        on_promotion:
          type: boolean
          readOnly: true
        on_subscription:
          type: boolean
        subscription_plan:
          type:
            - string
            - 'null'
        subscription_interval:
          type:
            - integer
            - 'null'
          readOnly: true
        subscription_frequency:
          type:
            - string
            - 'null'
          readOnly: true
        quantity:
          type: integer
        free_quantity:
          type: integer
          readOnly: true
        is_free_item:
          type: boolean
          readOnly: true
        selling_price:
          type: number
          format: double
          readOnly: true
        listing_price:
          type: number
          format: double
          readOnly: true
        promotion_discount_amount:
          type: number
          format: double
          readOnly: true
        coupon_discount_amount:
          type: number
          format: double
          readOnly: true
        tax_type:
          enum:
            - GST
          readOnly: true
        tax_rate:
          type: number
          format: float
          readOnly: true
        tax_amount:
          type: number
          format: double
          readOnly: true
        handling_charge_excluding_tax:
          type: number
          format: double
          readOnly: true
        handling_charge_including_tax:
          type: number
          format: double
        handling_charge_tax_rate:
          type: number
          format: double
        variant_id:
          type:
            - string
            - 'null'
        variant_name:
          type:
            - string
            - 'null'
        seller_id:
          description: >-
            Seller ID. This field is relevant for marketplace type stores only.
            Will return null for b2b and b2c type stores.
          type:
            - string
            - 'null'
        seller_detail:
          description: >-
            Seller detail information. This field is relevant for marketplace
            type stores only. Will return null for b2b and b2c type stores.
          oneOf:
            - $ref: '#/components/schemas/SellerBasicDetail'
            - type: 'null'
      x-tags:
        - Orders
    OrderPayment:
      title: OrderPayment
      description: Order Payment
      oneOf:
        - $ref: '#/components/schemas/CardPayment'
        - $ref: '#/components/schemas/NetbankingPayment'
        - $ref: '#/components/schemas/UpiPayment'
        - $ref: '#/components/schemas/WalletPayment'
        - $ref: '#/components/schemas/BankTransfer'
        - $ref: '#/components/schemas/LoyaltyPointPayment'
    OrderStatus:
      enum:
        - draft
        - awaiting_approval
        - confirmed
        - schedule_requested
        - partially_scheduled
        - awaiting_shipment
        - shipped
        - partially_shipped
        - undelivered
        - partially_undelivered
        - return_to_origin
        - partially_return_to_origin
        - complete
        - partially_delivered
        - cancelled
        - pending
        - lost
        - sent_to_store
        - store_rejected
    PaymentStatus:
      title: PaymentStatus
      enum:
        - pending
        - success
        - failed
        - partially_paid
        - refund_initiated
        - refunded
        - unsettled
        - settled
        - partially_settled
        - debit_scheduled
        - collection_due
    SellerBasicDetail:
      title: SellerBasicDetail
      type: object
      properties:
        id:
          type: string
        trade_name:
          type: string
        legal_name:
          type: string
        business_type:
          $ref: '#/components/schemas/SellerBusinessType'
        tax_identification_number:
          type: string
    CardPayment:
      title: CardPayment
      description: Payments using credit card, debit card
      allOf:
        - $ref: '#/components/schemas/OrderPaymentInfo'
        - type: object
          properties:
            card_number:
              description: "masked card number\r\ne.g. ************1111"
              type:
                - string
                - 'null'
            card_type:
              enum:
                - Visa
                - Master Card
                - Rupay
    NetbankingPayment:
      title: NetbankingPayment
      description: Payments using payment gateway netbanking option.
      allOf:
        - $ref: '#/components/schemas/OrderPaymentInfo'
        - type: object
          properties:
            bank_name:
              type: string
    UpiPayment:
      title: UpiPayment
      description: UPI Payment
      allOf:
        - $ref: '#/components/schemas/OrderPaymentInfo'
        - type: object
          properties:
            upi_id:
              type: string
    WalletPayment:
      title: WalletPayment
      allOf:
        - $ref: '#/components/schemas/OrderPaymentInfo'
        - type: object
          properties:
            wallet_name:
              type: string
    BankTransfer:
      title: BankTransfer
      description: Bank transfer payment - IMPS, NEFT, RTGS
      allOf:
        - $ref: '#/components/schemas/OrderPaymentInfo'
        - type: object
          properties:
            bank_account_number:
              description: "masked account number\r\ne.g. ************1234"
              type: string
            bank_name:
              type: string
    LoyaltyPointPayment:
      title: LoyaltyPointPayment
      description: Loyalty point redemption.
      allOf:
        - $ref: '#/components/schemas/OrderPaymentInfo'
      x-tags:
        - Orders
    SellerBusinessType:
      title: SellerBusinessType
      type: string
      enum:
        - sole_proprietorship
        - private_limited
        - public_listed
        - public_limited
        - state_owned
        - charity
        - individual
    OrderPaymentInfo:
      title: OrderPaymentInfo
      description: Common fields in all types of payments.
      type: object
      properties:
        transaction_type:
          enum:
            - payment
            - refund
        request_number:
          type: string
        amount:
          type: number
          format: double
        payment_status:
          $ref: '#/components/schemas/PaymentStatus'
        payment_date:
          type: string
          format: date-time
        payment_reference_number:
          type:
            - string
            - 'null'
        payment_method:
          enum:
            - Card
            - Credit Card
            - Debit Card
            - Netbanking
            - UPI
            - Wallet
            - Loyalty Point
            - IMPS
            - NEFT
            - RTGS
        payment_mode:
          type: string
        icon_url:
          type:
            - string
            - 'null'
      x-tags:
        - Orders
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````